<?xml version="1.0" encoding="UTF-8"?>
<Config>
    <!--FaceSRPlusPlus Config file-->
    <modelNamePath>/odm/etc/camera/cnnmodel/</modelNamePath>
    <bigModelName>bigFaceModelRear.bin</bigModelName>
    <smallModelName>smallFaceModel.bin</smallModelName>
    <bigPortrait2xModelName>bigFaceModelRear.bin</bigPortrait2xModelName>
    <bigNightModelName>bigFaceModelRear.bin</bigNightModelName>
    <bigFaceSizeThresh>150</bigFaceSizeThresh>
    <superFaceSizeThresh>300</superFaceSizeThresh>
    <minFaceSizeThresh>100</minFaceSizeThresh>
    <maxFaceSizeThresh>2500</maxFaceSizeThresh>
    <maxFacePitchAngleThresh>180</maxFacePitchAngleThresh>
    <maxFaceYawAngleThresh>180</maxFaceYawAngleThresh>
    <maxFaceRollAngleThresh>180</maxFaceRollAngleThresh>
    <maxBigFaceNum>3</maxBigFaceNum>
    <maxSmallFaceNum>10</maxSmallFaceNum>
    <judgeFaceNumEnable>0</judgeFaceNumEnable>
    <bigModelInputTensorName>input_1</bigModelInputTensorName>
    <bigModelInputBatch>1</bigModelInputBatch>
    <bigModelInputChannel>1</bigModelInputChannel>
    <bigModelInputSize>1024</bigModelInputSize>
    <bigModelOutput0TensorName>_170</bigModelOutput0TensorName>
    <bigPortrait2xModelOutput0TensorName>_170</bigPortrait2xModelOutput0TensorName>
    <bigNightModelOutput0TensorName>_170</bigNightModelOutput0TensorName>
    <bigModelOutput0Batch>1</bigModelOutput0Batch>
    <bigModelOutput0Channel>1</bigModelOutput0Channel>
    <bigModelOutput0Size>1024</bigModelOutput0Size>
    <bigModelOutput1TensorName>_110</bigModelOutput1TensorName>
    <bigPortrait2xModelOutput1TensorName>_110</bigPortrait2xModelOutput1TensorName>
    <bigNightModelOutput1TensorName>_110</bigNightModelOutput1TensorName>
    <bigModelOutput1Batch>1</bigModelOutput1Batch>
    <bigModelOutput1Channel>1</bigModelOutput1Channel>
    <bigModelOutput1Size>1</bigModelOutput1Size>
    <smallModelInputTensorName>input_1</smallModelInputTensorName>
    <smallModelInputBatch>1</smallModelInputBatch>
    <smallModelInputChannel>1</smallModelInputChannel>
    <smallModelInputSize>512</smallModelInputSize>
    <smallModelOutput0TensorName>_131</smallModelOutput0TensorName>
    <smallModelOutput0Batch>1</smallModelOutput0Batch>
    <smallModelOutput0Channel>1</smallModelOutput0Channel>
    <smallModelOutput0Size>512</smallModelOutput0Size>
    <bitwidth>16</bitwidth>
    <smallFaceFusionFactor>1</smallFaceFusionFactor>
    <bigFaceFusionFactor>1</bigFaceFusionFactor>
    <superFaceFusionFactor>1</superFaceFusionFactor>
    <bigFaceBlurringThresh>0.008</bigFaceBlurringThresh>
    <smallFaceBlurringThresh>0.008</smallFaceBlurringThresh>
    <resizedFaceSize>250</resizedFaceSize>
    <nnEquivalentTo0_1>0</nnEquivalentTo0_1>
    <nnQuantizedStepSize>1.5259e-05f</nnQuantizedStepSize>
    <gaussNoiseFileName>GaussNoiseMap.bin</gaussNoiseFileName>
    <gaussNoiseFileSize>1000</gaussNoiseFileSize>
    <noiseAddBackBlurringLowerThresh>0.005</noiseAddBackBlurringLowerThresh>
    <noiseAddBackBlurringUpThresh>0.6</noiseAddBackBlurringUpThresh>
    <luxIndexNightThres>310</luxIndexNightThres>
    <highZoomRatioThres>10</highZoomRatioThres>
    <maxZoomRatioThres>40</maxZoomRatioThres>
    <!-- Config Day -->
    <superBigFaceThresDay>1200</superBigFaceThresDay>
    <noiseAddBackSigmaSmallDay>0.6</noiseAddBackSigmaSmallDay>
    <noiseAddBackMultiplyScaleFactorSmallDay>1.4</noiseAddBackMultiplyScaleFactorSmallDay>
    <noiseAddBackSigmaBigDay>0.6</noiseAddBackSigmaBigDay>
    <noiseAddBackMultiplyScaleFactorBigDay>1.2</noiseAddBackMultiplyScaleFactorBigDay>
    <noiseAddBackSigmaSuperDay>0.4</noiseAddBackSigmaSuperDay>
    <noiseAddBackMultiplyScaleFactorSuperDay>1.2</noiseAddBackMultiplyScaleFactorSuperDay>
    <noiseAddBackEnabledDay>1</noiseAddBackEnabledDay>
    <sharpenStrengthDay>1.0</sharpenStrengthDay>
    <!-- Config Night -->
    <superBigFaceThresNight>1000</superBigFaceThresNight>
    <noiseAddBackSigmaSmallNight>0.6</noiseAddBackSigmaSmallNight>
    <noiseAddBackMultiplyScaleFactorSmallNight>1.4</noiseAddBackMultiplyScaleFactorSmallNight>
    <noiseAddBackSigmaBigNight>0.6</noiseAddBackSigmaBigNight>
    <noiseAddBackMultiplyScaleFactorBigNight>1.4</noiseAddBackMultiplyScaleFactorBigNight>
    <noiseAddBackSigmaSuperNight>0.4</noiseAddBackSigmaSuperNight>
    <noiseAddBackMultiplyScaleFactorSuperNight>1.2</noiseAddBackMultiplyScaleFactorSuperNight>
    <noiseAddBackEnabledNight>1</noiseAddBackEnabledNight>
    <sharpenStrengthNight>1.2</sharpenStrengthNight>
</Config>
